CanSee for the ZE50

The CanSee dongle firmware has been updated to handle 29 bit requests properly. This version (004) is required if you intent to use CanSee with the new ZE50, please update the firmware. If you have modified the software you need to merge the changes. If you do not intent to use your CanSee dongle with a ZE50, there is no need to update.

10 Comments on “CanSee for the ZE50

  1. Hi
    Yesterday I take over new ZOE50,dongle is on way.
    I’m following “ZE50: A different beast”.
    But, my knowledge about issue You are talking is very poor.
    So, how can I handle CanSee.
    I installed CanZE app, but there are some difficulties connecting dongle and app.
    Any advice, help is welcome.
    Thank You in advance.
    Ivan

      • Actuellement la version ZE50 n’est pas encore supportée et tant qu’aucun des développeurs n’aura une telle voiture ou des informations fiable quant au fonctionnement une mise à jour de CanZE ne pourra être faite sur ce point.

  2. CanSee is a companion dongle, see the link above. It is a high-speed, build-it-yourself project, based on an ESP32 processor. You cannot buy it assembled. Hope this helps

  3. HI, is there any chance to get an instruction how to flash sw on the ESP32S development kit?

    BTW: Will CanZE updated for ZE50 (Android)? I am not able to select ZE50 (135) in the app

    • 1) No, but the repository on gitlab is made for VSCode with platformIO (which I would recommend for any ESP32 development anyway)

      2) Yes, working on it, but progress is slow. You can enroll in the beta (in the play store) iy you want to be in the front row. Today I got the heatmaps working and I will release that (on beta) soon

      • Thanks for your quick feedback, Jeroen.
        1) HW development is not at all an issue, but a highl level how to flash ESP32 would be great. Any chance to get at least some high level instructions?
        2) Thank you. I just download beta-version. Currently I dont have the adapter available, but can see in the app an error “Fields: sid xx.xx does not exist in class fields” is this because of the missing bluetooth adapter?

        BTW: I would like to thank you. Its really an amazing effort which you put into this development and it so useful. Many thanks for your continously support!

    • Note that this topic is for the CanSee dongle, not the CanZE app. The mentioned CanSee dongle firmware only makes sense for the ZE50 as the older models do not use 29 bit addressing on the CANbus.

Leave a Reply to Jeroen Meijer Cancel reply